#include <iostream>

using namespace std;

void f(int a[], int n, int k)
{
    int p,maks=0;
    for(int i=k;i<n;i++)
    {
        if(a[i]>maks)maks=a[i];
        if(a[i]==maks)p=i;
    }
    if(k==n-1)return;
    else if(a[k]==maks)f(a,n,k+1);
    else swap(a[k],a[p]);
}

int main()
{
    int n,maks=0,p;
    cin>>n;
    int a[n];
    for(int i=0;i<n;i++)cin>>a[i];
    f(a,n,0);
    for(int i=0;i<n;i++)cout<<a[i]<<" ";
    cout<<endl;
}